petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMForestSetAdjacencyDimension

During the pre-setup phase, set the dimension of interface points that determine cell adjacency (for the purposes of partitioning and overlap).

### Synopsis

    #include "petscdmforest.h"
    #include "petscdm.h"
    PetscErrorCode DMForestSetAdjacencyDimension(DM dm, PetscInt adjDim)

Logically collective on dm

### Input Parameters

| dm | - the forest
| adjDim | - default 0 (i.e., vertices determine adjacency)

### See Also

DMForestGetAdjacencyDimension(), DMForestSetAdjacencyCodimension(), DMForestSetPartitionOverlap()

Level:intermediate
Location:src/dm/impls/forest/forest.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages